Loading...
Searching...
No Matches
janus_lua_session Struct Reference

`#include <janus_lua_data.h>`

Collaboration diagram for janus_lua_session:
[legend]

## Data Fields

janus_plugin_session * | handle
uint32_t | id
gboolean | accept_audio
gboolean | accept_video
gboolean | accept_data
gboolean | send_audio
gboolean | send_video
gboolean | send_data
janus_rtp_switching_context | artpctx
janus_rtp_switching_context | vrtpctx
janus_videocodec | vcodec
uint32_t | ssrc [3]
char * | rid [3]
int | rid_extmap_id
janus_mutex | rid_mutex
janus_rtp_simulcasting_context | sim_context
janus_vp8_simulcast_context | vp8_context
uint32_t | bitrate
uint16_t | pli_freq
gint64 | pli_latest
GSList * | recipients
struct janus_lua_session * | sender
janus_mutex | recipients_mutex
janus_recorder * | arc
janus_recorder * | vrc
janus_recorder * | drc
janus_rtp_switching_context | rec_ctx
janus_rtp_simulcasting_context | rec_simctx
gboolean | e2ee
janus_mutex | rec_mutex
volatile gint | started
volatile gint | dataready
volatile gint | hangingup
volatile gint | destroyed
janus_refcount | ref

## Field Documentation

## accept_audio

gboolean janus_lua_session::accept_audio

## accept_data

gboolean janus_lua_session::accept_data

## accept_video

gboolean janus_lua_session::accept_video

## arc

janus_recorder* janus_lua_session::arc

## artpctx

janus_rtp_switching_context janus_lua_session::artpctx

## bitrate

uint32_t janus_lua_session::bitrate

## dataready

volatile gint janus_lua_session::dataready

## destroyed

volatile gint janus_lua_session::destroyed

## drc

janus_recorder* janus_lua_session::drc

## e2ee

gboolean janus_lua_session::e2ee

## handle

janus_plugin_session* janus_lua_session::handle

## hangingup

volatile gint janus_lua_session::hangingup

## id

uint32_t janus_lua_session::id

## pli_freq

uint16_t janus_lua_session::pli_freq

## pli_latest

gint64 janus_lua_session::pli_latest

## rec_ctx

janus_rtp_switching_context janus_lua_session::rec_ctx

## rec_mutex

janus_mutex janus_lua_session::rec_mutex

## rec_simctx

janus_rtp_simulcasting_context janus_lua_session::rec_simctx

## recipients

GSList* janus_lua_session::recipients

## recipients_mutex

janus_mutex janus_lua_session::recipients_mutex

## ref

janus_refcount janus_lua_session::ref

## rid

char* janus_lua_session::rid[3]

## rid_extmap_id

int janus_lua_session::rid_extmap_id

## rid_mutex

janus_mutex janus_lua_session::rid_mutex

## send_audio

gboolean janus_lua_session::send_audio

## send_data

gboolean janus_lua_session::send_data

## send_video

gboolean janus_lua_session::send_video

## sender

struct janus_lua_session* janus_lua_session::sender

## sim_context

janus_rtp_simulcasting_context janus_lua_session::sim_context

## ssrc

uint32_t janus_lua_session::ssrc[3]

## started

volatile gint janus_lua_session::started

## vcodec

janus_videocodec janus_lua_session::vcodec

## vp8_context

janus_vp8_simulcast_context janus_lua_session::vp8_context

## vrc

janus_recorder* janus_lua_session::vrc

## vrtpctx

janus_rtp_switching_context janus_lua_session::vrtpctx

The documentation for this struct was generated from the following file:

- janus_lua_data.h